### Enumeration

# Gio SocketType

since: 2.22

#### Declaration

    enum Gio.SocketType

#### Description [src]

Flags used when creating a `GSocket`. Some protocols may not implement all the socket types.

Available since: 2.22

#### Members

Name | Description
--- | ---
`G_SOCKET_TYPE_INVALID` | Type unknown or wrong.
`G_SOCKET_TYPE_STREAM` | Reliable connection-based byte streams (e.g. TCP).
`G_SOCKET_TYPE_DATAGRAM` | Connectionless, unreliable datagram passing. (e.g. UDP)
`G_SOCKET_TYPE_SEQPACKET` | Reliable connection-based passing of datagrams of fixed maximum length (e.g. SCTP).